Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           esniper
Version:        2.35.0
Release:        alt2_9
Summary:        A lightweight console application for sniping eBay auctions 

License:        BSD
URL:            http://esniper.sourceforge.net
%global dashver %(echo -n %{version} | tr '.' '-')
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{dashver}.tgz

BuildRequires:  gcc
BuildRequires:  curl-devel
Source44: import.info

%description
Esniper is a lightweight console application for sniping eBay auctions.


%prep
%setup -q -n %{name}-%{dashver}

# Encode manpage to utf-8
iconv -f iso8859-1 -t utf-8 esniper.1 > esniper.1.conv \
    && touch -r esniper.1 esniper.1.conv \
    && mv esniper.1.conv esniper.1


%build
%configure
%make_build


%install
make install INSTALL="install -p" DESTDIR=%{buildroot}

# Install frontend script
install -p -m 755 frontends/snipe %{buildroot}/%{_bindir}


%files
%doc frontends/README COPYING ChangeLog AUTHORS sample_config.txt sample_auction.txt
%{_bindir}/%{name}
%{_bindir}/snipe
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.35.0-alt2_9
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.35.0-alt2_8
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.35.0-alt2_7
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.35.0-alt2_6
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.35.0-alt1_6
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.35.0-alt1_5
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.35.0-alt1_4
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.35.0-alt1_3
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.35.0-alt1_2
- update to new release by fcimport

* Wed Jun 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.35.0-alt1_1
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.33.0-alt1_4
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.33.0-alt1_3
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.33.0-alt1_1
- update to new release by fcimport

* Thu Nov 17 2016 Igor Vlasenko <viy@altlinux.ru> 2.32.0-alt1_1
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.31.0-alt1_5
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.31.0-alt1_4
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.31.0-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.31.0-alt1_2
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.28.0-alt1_3
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.28.0-alt1_2
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 2.28.0-alt1_1
- fc import

